Loading...
Searching...
No Matches
_starpu_memory_driver_info Struct Reference

`#include <workers.h>`

## Data Fields

const char * | name_upper
enum starpu_worker_archtype | worker_archtype
const struct _starpu_node_ops * | ops

## Detailed Description

Provides information for a memory node driver

## Field Documentation

## name_upper

const char* _starpu_memory_driver_info::name_upper

Name of memory in upper case

## worker_archtype

enum starpu_worker_archtype _starpu_memory_driver_info::worker_archtype

Kind of device

## ops

const struct _starpu_node_ops* _starpu_memory_driver_info::ops

Memory node operations

The documentation for this struct was generated from the following file:

- workers.h